ext/functional File Reference

Go to the source code of this file.

## Classes

class | __gnu_cxx::binary_compose< _Operation1, _Operation2, _Operation3 >
struct | __gnu_cxx::constant_binary_fun< _Result, _Arg1, _Arg2 >
struct | __gnu_cxx::constant_unary_fun< _Result, _Argument >
struct | __gnu_cxx::constant_void_fun< _Result >
struct | __gnu_cxx::project1st< _Arg1, _Arg2 >
struct | __gnu_cxx::project2nd< _Arg1, _Arg2 >
struct | __gnu_cxx::select1st< _Pair >
struct | __gnu_cxx::select2nd< _Pair >
class | __gnu_cxx::subtractive_rng
class | __gnu_cxx::unary_compose< _Operation1, _Operation2 >

## Namespaces

namespace | __gnu_cxx

## Macros

#define | _EXT_FUNCTIONAL

## Functions

template<class _Operation1 , class _Operation2 >
unary_compose< _Operation1, _Operation2 > | __gnu_cxx::compose1 (const _Operation1 &__fn1, const _Operation2 &__fn2)
template<class _Operation1 , class _Operation2 , class _Operation3 >
binary_compose< _Operation1, _Operation2, _Operation3 > | __gnu_cxx::compose2 (const _Operation1 &__fn1, const _Operation2 &__fn2, const _Operation3 &__fn3)
template<class _Result >
constant_void_fun< _Result > | __gnu_cxx::constant0 (const _Result &__val)
template<class _Result >
constant_unary_fun< _Result, _Result > | __gnu_cxx::constant1 (const _Result &__val)
template<class _Result >
constant_binary_fun< _Result, _Result, _Result > | __gnu_cxx::constant2 (const _Result &__val)
template<class _Tp >
_Tp | __gnu_cxx::identity_element (std::plus< _Tp >)
template<class _Tp >
_Tp | __gnu_cxx::identity_element (std::multiplies< _Tp >)
template<class _Ret , class _Tp , class _Arg >
mem_fun1_t< _Ret, _Tp, _Arg > | __gnu_cxx::mem_fun1 (_Ret(_Tp::*__f)(_Arg))
template<class _Ret , class _Tp , class _Arg >
const_mem_fun1_t< _Ret, _Tp, _Arg > | __gnu_cxx::mem_fun1 (_Ret(_Tp::*__f)(_Arg) const)
template<class _Ret , class _Tp , class _Arg >
mem_fun1_ref_t< _Ret, _Tp, _Arg > | __gnu_cxx::mem_fun1_ref (_Ret(_Tp::*__f)(_Arg))
template<class _Ret , class _Tp , class _Arg >
const_mem_fun1_ref_t< _Ret, _Tp, _Arg > | __gnu_cxx::mem_fun1_ref (_Ret(_Tp::*__f)(_Arg) const)

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file ext/functional.